Subject: Re: [RFC] On watchman support

From: Junio C Hamano <[email-masked]>
Date: Tue, 18 Nov 2014 12:55:29 -0800

David Turner <[email-masked]> writes:

> On Tue, 2014-11-18 at 17:48 +0700, Duy Nguyen wrote:
>> > My patches are not the world's most beautiful, but they do work.  I
>> > think some improvement might be possible by keeping info about tracked
>> > files in the index, and only storing the tree of ignored and untracked
>> > files separately.  But I have not thought this through fully.  In any
>> > case, making use of shared memory for the fs_cache (as some of your
>> > other patches do for the index) would definitely save time.
>> 
>> By the way, what happened to your sse optimization in refs.c? I see
>> it's reverted but I didn't follow closely to know why. 
>
> I don't know why either -- it works just fine.  There was a bug, but I
> fixed it.  Junio?

I vaguely recall that the reason why we dropped it was because it
was too much code churn in an area that was being worked on in
parallel, but you may need to go back to the list archive for
details.